% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/networkInference.R
\name{adjacencyMatrix}
\alias{adjacencyMatrix}
\title{'adjacencyMatrix' creates a function that infers a graph from gene expression
data.}
\usage{
adjacencyMatrix(method, abs = T, pvalue = T, fdr = T, weighted = T,
  threshold = NULL)
}
\arguments{
\item{method:}{a function that measures the association between the gene
expression levels.}

\item{abs:}{a logical value. If TRUE, then it uses the absolute value
returned by 'method' as a measure of association between the gene products.}

\item{pvalue:}{a logical value. If TRUE, then it uses one minus the value
returned by 'method' as a measure of association between the gene products.}

\item{fdr:}{a logical value. If TRUE, then it assumes that the value returned
by 'method' is a p-value, and adjust it by the False Discovery Rate
(Benjamini and Hochberg, 1995) method for multiple testing. This parameter
is ignored if 'pvalue' is FALSE.}

\item{weighted:}{a logical value. If TRUE, then the edges of the graph are
weighted by the association degrees between the gene products. Otherwise,
the edges are removed according to a threshold, and the remaining links are
weighted by one.}

\item{threshold:}{a numeric value. If NULL, no edge is removed. Otherwise
the function removes all edges weighted by a value less than or equal to
'threshold'. It is ignored of the 'weighted' is TRUE.}
}
\value{
a function that creates an adjacency matrix from gene expression
data.
}
\description{
'adjacencyMatrix' creates a function that infers a graph from gene expression
data.
}

