% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/cogaCommandLine.R
\name{collapseExprData}
\alias{collapseExprData}
\title{Collapse probe sets to gene symbols}
\usage{
collapseExprData(expr, annotation, method, options = NULL)
}
\arguments{
\item{expr}{a numeric matrix containing gene expression data in which the
the rows correspond to the probe sets and the columns correspond to the
samples.}

\item{annotation}{a character matrix associating each probe set to a gene
symbol. It must have the 'Probe.set.id' and 'Gene.symbol' columns.}

\item{method}{a function that collapses probe sets to gene symbols.
It receives 'expr', the row groups, the row IDs, and 'options'}

\item{options}{a list containing parameters for the collapsing method.
For the available methods, 'options' can be set to NULL,
list("connectivityBasedCollapsing"=TRUE) or
list("connectivityBasedCollapsing"=FALSE)}
}
\value{
a numeric matrix containing the gene expression collapsed data in
which the rows and columns correspond to, respectively, the genes and
the samples.
}
\description{
'collapseExprData' collapse probe sets to gene symbols
}

