% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/cogaCommandLine.R
\name{readClsFile}
\alias{readClsFile}
\title{Read categorical class file (*.cls)}
\usage{
readClsFile(fileName, class1 = NULL, class2 = NULL)
}
\arguments{
\item{fileName}{a string containing the file name}

\item{class1}{a string containing the name of the first phenotype class}

\item{class2}{a string containing the name of the second phenotype class}
}
\value{
a list or vector containing the phenotype classes associated with
each sample. If 'class1' or 'class2' are null, then it returns a list where
each element represents a line of the input file (i.e. the first element
contains the number of phenotype classes, the second the class names, and
the last the sample labels). Otherwise, it returns a vector of -1s, 0s and
1s, where 0 represents the first class, 1 the second class, and -1 the other
classes, if the input file contains more than two classes.
}
\description{
'readClsFile' reads a text file delimited by blank spaces associating each
sample with a phenotype class.
}

